For the complete documentation index, see llms.txt. This page is also available as Markdown.

Util

Lists fields that can be used in other calls

get

Lists fields that can be used in other calls

Authorizations
OAuth2applicationRequired
Token URL:
Responses
200

OK

application/json
string[]Optional
get/util/fields
GET /api/util/fields HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  "text"
]

GetHosts

get

Lists all public facing CDN IPs

Responses
200

OK

application/json
get/util/hosts
GET /api/util/hosts HTTP/1.1
Accept: */*
{
  "hosts": [
    {
      "ipv4": "5.200.5.200",
      "ipv6": "",
      "location": "usqas1",
      "type": "edge"
    }
  ]
}

Health Check

get

Will reply with Pong if service is ready to handle requests

Responses
200

OK

application/json
databasestringOptionalExample: database message
esstringOptionalExample: es message
hostnamestringOptionalExample: server123
ipstringOptionalExample: 192.0.2.2
namestringOptionalExample: pong
versionstringOptionalExample: 0.21-1111
get/util/ping
GET /api/util/ping HTTP/1.1
Accept: */*
{
  "database": "database message",
  "es": "es message",
  "hostname": "server123",
  "ip": "192.0.2.2",
  "name": "pong",
  "version": " 0.21-1111"
}

WhoAmI

get

Information about current user

Authorizations
OAuth2applicationRequired
Token URL:
Responses
200

OK

application/json
client_idstringOptionalExample: account name
emailstringOptionalExample: someemail@i3d.net
expnumberOptionalExample: 1665151134
iatnumberOptionalExample: 1665147534
isStaffAccountstringOptionalExample: True
jtistringOptionalExample: bZzNlATzvozLZ4o7naNQTeO4fzPVEIC8kNTYdorqWGDQZeDhLDdk7
organizationIdstringOptionalExample: 12312313f-asdasdsad-fasdadasd
get/util/whoami
GET /api/util/whoami HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "client_id": "account name",
  "email": "someemail@i3d.net",
  "exp": 1665151134,
  "iat": 1665147534,
  "isStaffAccount": "True",
  "jti": "bZzNlATzvozLZ4o7naNQTeO4fzPVEIC8kNTYdorqWGDQZeDhLDdk7",
  "organizationId": "12312313f-asdasdsad-fasdadasd",
  "services": {
    "ANY_ADDITIONAL_PROPERTY": {
      "capabilities": {
        "ANY_ADDITIONAL_PROPERTY": [
          "text"
        ]
      },
      "projectName": "text",
      "serviceId": "text",
      "serviceType": "text",
      "vhost": {
        "BillingTemplateId": 12314,
        "clientId": "12345",
        "dns": "cdn.i3d.net",
        "enabled": true,
        "hash": "JJUSMXH",
        "name": "VHost name",
        "originId": 12314,
        "path": "/o1/cdn"
      }
    }
  }
}

Last updated

Was this helpful?